function updatefaktorstufenmenu
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      
global faktorstring stufenvec aktiverfaktor anzahlfaktoren gradientcell
faktorstufenmenu=findobj('tag','faktorauswahl');
faktorenedit=findobj('tag','faktorenedit');
if isstr(get(faktorenedit,'String'))
    anzahlfaktoren=str2num(get(faktorenedit,'String'));
else
    anzahlfaktoren=get(faktorenedit,'String');
end
faktorstring=cell(anzahlfaktoren,1);
faktorstring{1}='faktor1';
for j=2:anzahlfaktoren
    faktorstring{j}=['faktor',num2str(j)];
end
set(faktorstufenmenu,'String',faktorstring);
gradientcell=cell(1);

return;